Bug 179536 - clock_applet superposes starting time on current time when not having mouse over it
clock_applet superposes starting time on current time when not having mouse o...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-01 01:37 EST by Enrique Perez-Terron
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:42:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrique Perez-Terron 2006-02-01 01:37:28 EST
From Bugzilla Helper:
User-Agent: Opera/9.00 (X11; Linux i686; U; en)

Description of problem:
The clock in the gnome panel shows a garbled text, apparently consisting of two 
superimposed texts, the time that was first shown when the applet started, and 
the current time. The weekday is only shown once, but the month, day, and time 
is garbled. However, when I move the mouse to the applet, at the moment when a 
raised frame around the applet, and the "tool-tip" yellow textbox appears, the 
applet time becomes clean and shows the current time only.

There is a possibility that the bug only happens if the applet has ever been 
moved inside the panel.  I can't remember if I did, because I have had this bug 
some time without bothering to report it or research it. Yet I am not sure it 
has been there all the time since I upgraded to FC4 in June 2004, or even since 
I updated gnome-panel in September.




Version-Release number of selected component (if applicable):
gnome-panel-2.10.1-10.2

How reproducible:
Always

Steps to Reproduce:
1. Move mouse up to top edge of screen, to have the auto-hiding upper panel 
drop down. Keep the mouse away from the end of the panel where the clock will 
appear.

If this does not happen to you, try moving the clock. Right-click in the clock, 
and select "move" in the context menu. move the mouse left or right and left 
click in the new position.
  


Actual Results:  Jan 12, 12:34:00 is superimposed on the current time, as if the starting time 
has become part of the background.


Expected Results:  Current time should be shown on a clean background.


Additional info:

If I change the properties, unchecking the "show date" part, the text "Jan" 
remains under where the seconds is displayed (which is where the month name 
used to be. The text becomes shorter without the date). (It is first of 
February now, so this is the old month.) When I subsequently reenable "show date
", the old starting time is not redisplayed, but the old month name appears 
twice, once over/under the current month, and once under the hour:min part, 
leaving the seconds to display cleanly.

I just moved the clock to a new position in the panel, and the current time at 
the time of the move becomes a new background upon which the current time is 
superimposed.
Comment 1 Christian Iseli 2007-01-19 19:20:03 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Ray Strode [halfline] 2007-08-14 11:42:41 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.